org.apache.tiles.request.portlet.extractor

## Class HeaderExtractor

- java.lang.Object
- - org.apache.tiles.request.portlet.extractor.HeaderExtractor

- All Implemented Interfaces:
    Addable<String>, EnumeratedValuesExtractor, HasAddableKeys<String>, HasKeys<String>

      public class HeaderExtractor
      extends Object
      implements EnumeratedValuesExtractor

  Extracts and puts headers in portlet requests and responses.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeaderExtractor(javax.portlet.PortletRequest request, javax.portlet.PortletResponse response)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Enumeration<String>` | `getKeys()`
    `String` | `getValue(String key)`
    `Enumeration<String>` | `getValues(String key)`
    `void` | `setValue(String key, String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HeaderExtractor

          public HeaderExtractor(javax.portlet.PortletRequest request,
                                 javax.portlet.PortletResponse response)

      Constructor.
      Parameters:
        `request` - The request.
        `response` - The response.

  - ### Method Detail

    - #### getKeys

          public Enumeration<String> getKeys()

      Specified by:
        `getKeys` in interface `HasKeys<String>`

    - #### getValue

          public String getValue(String key)

      Specified by:
        `getValue` in interface `HasKeys<String>`

    - #### getValues

          public Enumeration<String> getValues(String key)

      Specified by:
        `getValues` in interface `EnumeratedValuesExtractor`

    - #### setValue

          public void setValue(String key,
                               String value)

      Specified by:
        `setValue` in interface `Addable<String>`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.